Page MenuHomePhabricator

Implement second phase of map event logging
Closed, ResolvedPublic

Description

Based on T144239 and https://meta.wikimedia.org/wiki/Schema:Kartographer,

1/ FIRST PHASE
See T149140 (first phase) for now.

2/ SECOND PHASE
Same as in the first phase, the second phase puts:

  • 1:100 (1%) of users in the test group.
  • 99% of users are not being tested.

Amongst this test group, the second phase triggers these events:
( events previously triggered, events added in this phase)

typeper-event samplingdescriptionoptional durationoptional extra
view1:100user views this feature without explicit interaction to startnoroute(string)
open1:1user opens this featurenoroute(string)
hashopen1:1user was lead to a URL with map hash, resulting in a fullscreen map being displayednoroute(string)
close1:1end of feature usageyesroute(string)
sidebar-show1:1show sidebar in full screennoroute(string)
sidebar-hide1:1hide sidebar in full screennoroute(string)
sidebar-click1:1click on one of the ext service in the infoboxnoroute(string), service(string), type(string)
sidebar-type1:1switch shown infobox types to a different onenoroute(string), type(string)
drag1:100user dragged the map aroundnoroute(string)
zoom1:100user changed zoomnoroute(string)
marker-click1:1user clicked/tapped on a marker on mapnoroute(string)
map-click1:100user clicked/tapped on mapnoroute(string)
discovery1:1user goes to another page thanks to this featurenoroute(string), destination (enum: internal/interwiki/external)
activate1:1for mapframe's static snapshot, user clicked to interact with the mapnoroute(string)
  • shape-click: user clicked/tapped on a geoshape overlay
  • wv-warn - external data viewing warning is shown
  • wv-warn-agree - external data viewing was accepted
  • wv-warn-reject - external data viewing was rejected
  • wv-select-wmflayer - switched to wmflayer
  • wv-select-exlayer - switched to non-wmf layer (after warning)
  • wv-show-layer - a wmf layer was enabled
  • wv-hide-layer - a wmf layer was hidden
  • wv-show-exlayer - an external layer was enabled
  • wv-hide-exlayer - an external layer was hidden
  • wv-show-nearby - nearby markers button was pushed (enabled)
  • wv-hide-nearby - nearby markers button was pushed (disabled)"

Event Timeline

JGirault created this task.Nov 2 2016, 7:17 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 2 2016, 7:17 PM
debt closed this task as Declined.Nov 3 2016, 9:48 PM
debt added a subscriber: debt.

Declining this because it's already addressed in T149838

debt reopened this task as Open.EditedNov 10 2016, 9:13 PM

Re-opening because it was based off the info from T149838. The Product-Analytics team took a look at the phase 2 items and they all look like good things to implement.

In the meeting with @debt @Yurik @JGirault @Deskana @MaxSem @chelsyx and me, we had a consensus on what the first round of KPIs could/should be. It has a funnel-like narrative:

  1. Relative presence %: how widespread is Maps on articles/pages for which it makes sense to have Maps in some capacity (namely, those with geo coordinates)
    • Presence of Maplinks vs Mapframes
    • Yuri described this as a measure of editor engagement
  2. First-level user engagement: initial clickthrough rate
    • Of that % of pages with maplinks or mapframes, some % of visitors will click on the maplink/mapframe
  3. Second-level user engagement: interactions with the opened map
    • Of the % of visitors who clicked on the maplink/mapframe, some % will engage with the map
    • Important interactions that we'll want to track for this:
      • Dragging
      • Zooming
      • Clicks on markers

KPI 3 requires further implementation of the schema described in T149140.

Thanks @mpopov!

The user flow and narrative of these KPIs is nice too:

How many users see maps? -> How many users click on maps? -> How many users use maps to explore new content?

It's totally fine that the third KPI isn't implemented yet; having a defined KPI that is not implemented is better than not having any defined KPIs. :-)

JGirault moved this task from Backlog to In progress on the Maps-Sprint board.Nov 29 2016, 6:18 PM
JGirault updated the task description. (Show Details)Nov 29 2016, 6:36 PM
JGirault updated the task description. (Show Details)Nov 29 2016, 6:46 PM

Change 324244 had a related patch set uploaded (by JGirault):
Implement second phase of event logging

https://gerrit.wikimedia.org/r/324244

Change 324245 had a related patch set uploaded (by JGirault):
Implement second phase of event logging

https://gerrit.wikimedia.org/r/324245

Change 324244 merged by jenkins-bot:
Implement second phase of event logging

https://gerrit.wikimedia.org/r/324244

Change 324245 merged by jenkins-bot:
Implement second phase of event logging

https://gerrit.wikimedia.org/r/324245

Change 324248 had a related patch set uploaded (by Yurik):
Implement second phase of event logging

https://gerrit.wikimedia.org/r/324248

Change 324249 had a related patch set uploaded (by Yurik):
Implement second phase of event logging

https://gerrit.wikimedia.org/r/324249

Change 324248 merged by jenkins-bot:
Implement second phase of event logging

https://gerrit.wikimedia.org/r/324248

Change 324249 merged by jenkins-bot:
Implement second phase of event logging

https://gerrit.wikimedia.org/r/324249

I am going to wait until we receive a few events before resolving this ticket.

JGirault closed this task as Resolved.Dec 2 2016, 12:41 AM

Closing as I confirm we've started to collect these new events.

Deskana moved this task from Needs review to Done on the Maps-Sprint board.Apr 19 2017, 4:29 PM